# Patient Transfer List

| **API URL**     | {{url}}/spice-service/patient-transfer/list |
| --------------- | ------------------------------------------- |
| **Method**      | POST                                        |
| **Description** | Patient Transfer                            |

**Input:**

| **Field Name**        | **Type** | **Mandatory** | **Example**                                                                                                                                     |
| --------------------- | -------- | ------------- | ----------------------------------------------------------------------------------------------------------------------------------------------- |
| Authorization(Header) | String   | Yes           | Bearer eyJlbmMiOiJBMTI4R0NNIiwiYWxnIjoiUlNBLU9BRVAtMjU2In0.MCm0mJDfpfjlr10Uok79-kTF7fv9Tn7cI5m2WsRDGUd9VS7iRmfbszjuc1-w5D-PYt9CdVxRMGBQlzYauhnI |

#### **Sample Input:** <a href="#patienttransferlist-sampleinput" id="patienttransferlist-sampleinput"></a>

{ "siteId": 1 }

#### **Output:** <a href="#patienttransferlist-output" id="patienttransferlist-output"></a>

| **Field Name**            | **Type**         | **Comments**                                        |
| ------------------------- | ---------------- | --------------------------------------------------- |
| `transferStatus`          | String           | Patient transfer status                             |
| `confirmDiagnosis`        | String           | Patient confirm diagnosis                           |
| `lastName`                | String           | Patient LastName                                    |
| `isRedRiskPatient`        | Boolean          | Is Patient RedRisk                                  |
| `gender`                  | String           | Patient Gender                                      |
| `cvdRiskScore`            | Integer          | CVD Risk Score                                      |
| `enrollmentAt`            | Timestamp        | Patient Enrolled Date                               |
| `firstName`               | String           | Patient FirstName                                   |
| `cvdRiskLevel`            | String           | CVD Risk Level                                      |
| `phoneNumber`             | String           | Patient Phone Number                                |
| `nationalId`              | String           | National ID                                         |
| `lastMenstrualPeriodDate` | Timestamp        | Last Menstrual Period Date                          |
| `estimatedDeliveryDate`   | Timestamp        | Estimated Delivery Date                             |
| `provisionalDiagnosis`    | String           | Patient provisional diagnosis                       |
| `age`                     | BigInt           | Patient Age                                         |
| `programId`               | BigInt           | Program ID                                          |
| `bmi`                     | Double precision | Patient BMI                                         |
| `tenantId`                | BigInt           | Tennat ID                                           |
| `firstName`               | String           | User firstname who initiated the patient transfer   |
| `lastName`                | String           | User lastname who initiated the patient transfer    |
| `transferReason`          | String           | Patient transfer reason                             |
| `name`                    | String           | Patient old site name                               |
| `id`                      | Integer          | Patient old site Id                                 |
| `firstName`               | String           | User firstname who got the patient transfer request |
| `lastName`                | String           | User lastname who got the patient transfer request  |
| `name`                    | String           | Patient new site name                               |
| `id`                      | Integer          | Patient new site Id                                 |

#### **Sample Output:** <a href="#patienttransferlist-sampleoutput" id="patienttransferlist-sampleoutput"></a>

```
{
    "message": "Retreived patient transfer list successfully.",
    "entity": {
        "outgoingPatientList": [],
        "incomingPatientList": [
            {
                "transferStatus": "PENDING",
                "patient": {
                    "confirmDiagnosis": null,
                    "lastName": "SHAA",
                    "isRedRiskPatient": false,
                    "gender": "Female",
                    "cvdRiskScore": 8,
                    "enrollmentAt": "2023-05-25T18:42:22+05:30",
                    "firstName": "ASHEE",
                    "cvdRiskLevel": "Low risk",
                    "phoneNumber": "458553885",
                    "nationalId": "ASHEEESHAA",
                    "pregnancyDetails": {
                        "lastMenstrualPeriodDate": null,
                        "estimatedDeliveryDate": null
                    },
                    "id": 20,
                    "provisionalDiagnosis": [
                        "HTN",
                        "DM"
                    ],
                    "age": 25,
                    "programId": 18,
                    "bmi": 27.68
                },
                "tenantId": 4,
                "transferBy": {
                    "firstName": "Kavya",
                    "lastName": "Provider"
                },
                "transferReason": "test",
                "oldSite": {
                    "name": "Medical Care",
                    "id": 1
                },
                "id": 3,
                "transferTo": {
                    "firstName": "Provider",
                    "lastName": "S"
                },
                "transferSite": {
                    "name": "Diabetes care",
                    "id": 4
                }
            }
        ]
    },
    "status": true,
    "entityList": null,
    "responseCode": 200,
    "totalCount": null
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://spice.docs.medtroniclabs.org/versions/spice-1.0/engineering/api-documentation/spice-services/patient-transfer-list.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
